namespace ManagementApp.Models
{
    public abstract class ModelBase: IPaging
    {
        public abstract Task<MessageHeader> AddAsync();

        public abstract Task<MessageHeader> UpdateAsync();

        public abstract Task<MessageHeader> DeleteAsync();
        public bool IsFirstQuery { set; get; }
        public int PageSize { get; set; }
        public int PageNumber { get; set; }
        public int MaxRow { get; set; }


    }
}
